# Yahoo! UI Library

### recordset 3.3.0

Yahoo! UI Library > recordset > RecordsetIndexer
Search:
Filters Show Private Show Protected Show Deprecated

## Class RecordsetIndexer

Plugin that provides the ability to store multiple custom hash tables referencing records in the recordset. This utility does not support any collision handling. New hash table entries with a used key overwrite older ones.

### Methods

#### _defAddHash

`private void _defAddHash ( )`
Updates all hash tables when a record is added to the recordset

#### _defRemoveHash

`private void _defRemoveHash ( )`
Updates all hash tables when a record is removed from the recordset

#### _defUpdateHash

`private void _defUpdateHash ( )`
Updates all hash tables when the recordset is updated (a combination of add and remove)

#### _setHashTable

`private object _setHashTable ( key )`
Setup the hash table for a given key with all existing records in the recordset

Parameters:
  `key <string>` A key to hash by.

Returns: `object`
  obj The created hash table

#### createTable

`object createTable ( key )`
Creates a new hash table.

Parameters:
  `key <string>` A key to hash by.

Returns: `object`
  tbls[key] The created hash table

#### getTable

`object getTable ( key )`
Get a hash table that hashes records by a given key.

Parameters:
  `key <string>` A key to hash by.

Returns: `object`
  table The created hash table

### Events

#### hashTablesChange

`hashTablesChange ( event )`
Fires when the value for the configuration attribute 'hashTables' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

### Configuration Attributes

#### hashTables `- object`

Collection of all the hashTables created by the plugin. The individual tables can be accessed by the key they are hashing against.

Copyright © 2011 Yahoo! Inc. All rights reserved.